
Redmine - Defect #6203

When assigning a user, status should auto set to assigned if no status selected

2010-08-25 01:23 - Jos Accapadi

Status: Closed Start date: 2010-08-25

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: Plugin Request Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

Right now, if an issue is opened, it is in a "New" state.  When assigning a user to it, if the status is not changed from "New" to

"Assigned" it stays as "New".  We often find that we have to go back and change things from New to Assigned after the fact.

It seems logical that if Assigning a person, and if Status is New, then status should be auto set to Assigned.

History

#1 - 2010-08-25 07:30 - Jean-Baptiste Barth

- Category set to Plugin Request

- Status changed from New to 7

- Assignee set to Jean-Baptiste Barth

- Resolution set to Wont fix

No, I don't think we'll do that for the moment, because "Assigned" status is just a default thing. Many Redmine users remove it or rename it to

something completely different. So we don't have any simple way to do that without adding a new setting, new columns in the database, etc.

I think you can do it in a plugin very easily if you want to try, you have Redmine hooks running just after issue creation and edition, so that you can do

specific actions on transitions if you want. If you don't plan to change status fields, it could be done in a few lines of code.

I'll close the issue after I provide you an example of plugin to do that, but it won't be before september 15th.

#2 - 2010-08-27 01:15 - Jos Accapadi

Thank you, we would appreciate seeing the example plugin.  Would it be more natural than in workflows to be able to auto set states, this as one

example, but maybe another to say if a percentage done to move to something, so 100% done moves to a user-configured state?

It seems like something that might be beneficial for people, basically one less click to do.

#3 - 2010-08-30 08:37 - Novikov Igor

+1 waiting for example, would be a very nice function for me:) Thank you.

#4 - 2010-08-30 14:30 - Terence Mill

A more common way to implement this functionality is to make field properties configurable dependent on status changen

For every tracker for every status change, someone can set if a field is required or optional and if it shall get set a preconfigured value, like the status

value, category, % done, resolution or assigned to.

#5 - 2010-09-02 13:05 - Jean-Baptiste Barth

- Status changed from 7 to Closed

Terence: yep, but you can imagine it complicates everything. I think this is a good idea, but it should be implemented in a plugin first, as an

experiment. I don't say we'll never integrate this in trunk but I don't see it in the next months.

Jos, Nokikov: here's the simplest thing I think : http://github.com/jbbarth/redmine_auto_assigned_status. Note that you may have to change "new" and

"assigned" ids in the lib/auto_assign_hook.rb file, but it works with a fresh install. It's just a (dirty) example, I focused on "understandability". I strongly

encourage you to build something cleaner on top of it.
